Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xmlpatterns
Class QAbstractMessageHandler

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.xmlpatterns.QAbstractMessageHandler

All Implemented Interfaces:
  QtJambiInterface

    public abstract class QAbstractMessageHandler

extends QObject

The `QAbstractMessageHandler` class provides a callback interface for handling messages. `QAbstractMessageHandler` is an abstract base class that provides a callback interface for handling messages. Using this class allows you to avoid implementing message handling in your classes that must generate messages. For example, class `QXmlQuery` parses and runs an `XQuery`. When it detects a compile or runtime error, it generates an appropriate error message, but rather than output the message itself, it passes the message to the `message()` function of its `QAbstractMessageHandler`. See `QXmlQuery::setMessageHandler()`.

You create a message handler by subclassing `QAbstractMessageHandler` and implementing `handleMessage()`. You then pass a pointer to an instance of your subclass to any classes that must generate messages. The messages are sent to the message handler via the `message()` function, which forwards them to your `handleMessge()`. The effect is to serialize the handling of all messages, which means your `QAbstractMessageHandler` subclass is thread safe.

A single instance of `QAbstractMessageHandler` can be called on to handle messages from multiple sources. Hence, the content of a message, which is the description parameter passed to `message()` and `handleMessage()`, must be interpreted in light of the context that required the message to be sent. That context is specified by the identifier and sourceLocation parameters to `message()``handleMessage()`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Method Summary
`static QAbstractMessageHandler` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QAbstractMessageHandler instance pointed to by `nativePointer`.
`protected abstract void` | `handleMessage(Global.QtMsgType type, java.lang.String description, QUrl identifier, QSourceLocation sourceLocation)` This function must be implemented by the sub-class.
`void` | `message(Global.QtMsgType type, java.lang.String description)` Sends a message to this message handler.
`void` | `message(Global.QtMsgType type, java.lang.String description, QUrl identifier)` Sends a message to this message handler.
`void` | `message(Global.QtMsgType type, java.lang.String description, QUrl identifier, QSourceLocation sourceLocation)` Sends a message to this message handler.

Methods inherited from class com.trolltech.qt.core.QObject
`childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, startTimer, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### message

    public final void message(Global.QtMsgType type,
                              java.lang.String description,
                              QUrl identifier)

  Sends a message to this message handler. `type` is the kind of message being sent. `description` is the message content. The `identifier` is a URI that identifies the message and is the key to interpreting the other arguments.

  Typically, this class is used for reporting errors, as is the case for `QXmlQuery`, which uses a `QAbstractMessageHandler` to report compile and runtime `XQuery` errors. Hence, using a `QUrl` as the message `identifier` is was inspired by the explanation of error handling in the `XQuery` language. Because the `identifier` is composed of a namespace URI and a local part, identifiers with the same local part are unique. The caller is responsible for ensuring that `identifier` is either a valid `QUrl` or a default constructed `QUrl`.

  `sourceLocation` identifies a location in a resource (i.e., file or document) where the need for reporting a message was detected.

  This function unconditionally calls `handleMessage()`, passing all its parameters unmodified.

See also:

### message

    public final void message(Global.QtMsgType type,
                              java.lang.String description)

  Sends a message to this message handler. `type` is the kind of message being sent. `description` is the message content. The `identifier` is a URI that identifies the message and is the key to interpreting the other arguments.

  Typically, this class is used for reporting errors, as is the case for `QXmlQuery`, which uses a `QAbstractMessageHandler` to report compile and runtime `XQuery` errors. Hence, using a `QUrl` as the message `identifier` is was inspired by the explanation of error handling in the `XQuery` language. Because the `identifier` is composed of a namespace URI and a local part, identifiers with the same local part are unique. The caller is responsible for ensuring that `identifier` is either a valid `QUrl` or a default constructed `QUrl`.

  `sourceLocation` identifies a location in a resource (i.e., file or document) where the need for reporting a message was detected.

  This function unconditionally calls `handleMessage()`, passing all its parameters unmodified.

See also:

### message

    public final void message(Global.QtMsgType type,
                              java.lang.String description,
                              QUrl identifier,
                              QSourceLocation sourceLocation)

  Sends a message to this message handler. `type` is the kind of message being sent. `description` is the message content. The `identifier` is a URI that identifies the message and is the key to interpreting the other arguments.

  Typically, this class is used for reporting errors, as is the case for `QXmlQuery`, which uses a `QAbstractMessageHandler` to report compile and runtime `XQuery` errors. Hence, using a `QUrl` as the message `identifier` is was inspired by the explanation of error handling in the `XQuery` language. Because the `identifier` is composed of a namespace URI and a local part, identifiers with the same local part are unique. The caller is responsible for ensuring that `identifier` is either a valid `QUrl` or a default constructed `QUrl`.

  `sourceLocation` identifies a location in a resource (i.e., file or document) where the need for reporting a message was detected.

  This function unconditionally calls `handleMessage()`, passing all its parameters unmodified.

See also:

### handleMessage

    protected abstract void handleMessage(Global.QtMsgType type,
                                          java.lang.String description,
                                          QUrl identifier,
                                          QSourceLocation sourceLocation)

  This function must be implemented by the sub-class. `message()` will call this function, passing in its parameters, `type`, `description`, `identifier` and `sourceLocation` unmodified.

### fromNativePointer

    public static QAbstractMessageHandler fromNativePointer(QNativePointer nativePointer)

  This method returns the QAbstractMessageHandler instance pointed to by `nativePointer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD